Subject: RE: [SIP] Expires header in MESSAGE

From: Tan Ya-Ching ICM N PG U ID A 1 <[email-masked]>
Date: Fri, 7 Jun 2002 17:52:01 +0200

The text was added for the case of a store-and-forward relay. What I was
trying to say is that the duration the relay stored the message should be
taken into account in the Expires header.

Here was my original text :

| >>>   A UAS which is a store-and-forward relay MUST NOT
| >>>   forward the message after the timer fired. When a
| >>>   message relay forwards a message, any Expires
| >>>   header field present in the MESSAGE request MUST
| >>>   be copied into the forwarded message. If there is a
| >>>   delay in forwarding the message, the UAS MUST
| >>>   substract the difference between time of forwarding
| >>>   and receipt of the request from the Expires value.

Regards,
Ya-Ching

| -----Original Message-----
| From: Jonathan Rosenberg [mailto:[email-masked]]
| Sent: 07 June 2002 17:41
| To: [email-masked]
| Cc: Tan Ya-Ching ICM N PG U ID A 1; 'Ben Campbell'; [email-masked]
| Subject: Re: [SIP] Expires header in MESSAGE
| 
| 
| I do not support the inclusion of this text. We have not done 
| this for 
| INVITE, and I think the notion of setting expirations that 
| are near in 
| value to the transmission or processing delays is fundamentally a bad 
| idea. They will generally result in race conditions, whereby 
| whether the 
| recipient even gets the data depends on the specific latency for that 
| message, or the number of proxy hops, and so on. Such race conditions 
| are to be avoided. Sending messages into the network just so 
| they can be 
| discarded is a waste of bandwidth and overall resources. I do 
| not think 
| we should do anything to encourage such usages, as the text 
| below would.
| 
| Thanks,
| Jonathan R.
| 
| Ken Jordan wrote:
| > The concern I raised in SIP-Implementors regarding the detrimental
| > effect of
| > transmission delays on the intended value for the expires 
| header (delays
| > which includes UAS delays in forwarding) would be handled by Tan
| > Ya-Ching's
| > proposed text below:
| > 
| >     In Section 7. UAS Processing
| > 
| > 	If there is a delay in forwarding the message, the UAS MUST
| > subtract the
| > difference between time of forwarding and receipt of the 
| request from
| > the
| > Expires value.
| > 
| > I would like to see this text added with Jonathans 
| recommended changes.
| > 
| > 
| >>-----Original Message-----
| >>From: [email-masked] [mailto:[email-masked]]On Behalf Of
| >>Jonathan Rosenberg
| >>Sent: Thursday, June 06, 2002 3:18 PM
| >>To: Tan Ya-Ching ICM N PG U ID A 1
| >>Cc: 'Ben Campbell'; [email-masked]'
| >>Subject: Re: [SIP] Expires header in MESSAGE
| >>
| >>
| >>I think the general usage of Expires that is discussed here
| >>is good, and
| >>consistent with the usage envisioned for the header. 
| However, I would
| >>weaken many of the strengths below from MUST NOT or MUST to
| >>SHOULD NOT
| >>or SHOULD.
| >>
| >>-Jonathan R.
| >>
| >>Tan Ya-Ching ICM N PG U ID A 1 wrote:
| >>
| >>>In SIP RFC 3261, only INVITE and REGISTER may include the Expires
| >>>header.
| >>>Section 20.19 states that "The precise meaing of this
| >>
| >>(Expires header)
| >>
| >>>is
| >>>method dependent". The meanings of Expires in INVITE and
| >>
| >>REGISTER are
| >>
| >>>explained in detail in RFC 3261 (and in draft-ietf-sip-event for
| >>>SUBSCRIBE).
| >>>For example, in the section specifying UAS processing of 
| the INVITE,
| >>>there
| >>>is a paragraph explaining how the UAS should handle the
| >>
| >>Expires header
| >>
| >>>if
| >>>one is present in the INVITE.
| >>>
| >>>draft-ietf-sip-message-04 allows MESSAGE to contain the
| >>
| >>Expires header,
| >>
| >>>but
| >>>does not explain the precise meaning of it.
| >>>
| >>>I propose to add the following statements to the draft:
| >>>
| >>>Section 4. UAC Processing
| >>>
| >>>   The UAC MAY add an Expires header field to limit the
| >>>   validity of the message content. An Expires header
| >>>   field with a value of "0" is an indication to the gateway
| >>>   or store-and-forward server that the message MUST
| >>>   be delivered immediately.
| >>>
| >>>Section 7. UAS Processing
| >>>
| >>>   If the MESSAGE request contains an Expires header
| >>>   field, the UAS sets a timer for the number of seconds
| >>>   indicated in the header field value.  When the timer
| >>>   fires, the message is considered to be expired. If the
| >>>   message expires before the UAS displays the message
| >>>   to the user, the UAS should discard the message. A
| >>>   UAS which is a store-and-forward relay MUST NOT
| >>>   forward the message after the timer fired. When a
| >>>   message relay forwards a message, any Expires
| >>>   header field present in the MESSAGE request MUST
| >>>   be copied into the forwarded message. If there is a
| >>>   delay in forwarding the message, the UAS MUST
| >>>   substract the difference between time of forwarding
| >>>   and receipt of the request from the Expires value.
| >>>
| >>>   A UAS receiving a MESSAGE request containing an
| >>>   Expires header field with a value of "0" MUST display the
| >>>   message to the user immediately. If the UAS is a
| >>>   store-and-forward relay, it MUST forward the message
| >>>   immediately.
| >>>
| >>>
| >>>- Ya-Ching
| >>>
| >>>
| >>>_______________________________________________
| >>>Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
| >>>This list is for NEW development of the core SIP Protocol
| >>>Use [email-masked] for questions on current sip
| >>>Use [email-masked] for new developments on the application of sip
| >>>
| >>
| >>
| >>--
| >>Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
| >>Chief Scientist                         First Floor
| >>dynamicsoft                             East Hanover, NJ 07936
| >>[email-masked]                 FAX: (973) 952-5050
| >>http://www.jdrosen.net                  PH:  (973) 952-5000
| >>http://www.dynamicsoft.com
| >>
| >>
| >>_______________________________________________
| >>Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
| >>This list is for NEW development of the core SIP Protocol
| >>Use [email-masked] for questions on current sip
| >>Use [email-masked] for new developments on the application of sip
| > 
| > 
| 
| 
| -- 
| Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
| Chief Scientist                         First Floor
| dynamicsoft                             East Hanover, NJ 07936
| [email-masked]                 FAX: (973) 952-5050
| http://www.jdrosen.net                  PH:  (973) 952-5000
| http://www.dynamicsoft.com
| 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip